Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.spinellis.ckjm
Class MethodVisitor

    java.lang.Object
      org.apache.bcel.generic.EmptyVisitor
          gr.spinellis.ckjm.MethodVisitor

All Implemented Interfaces:
  org.apache.bcel.generic.Visitor

     class MethodVisitor

extends org.apache.bcel.generic.EmptyVisitor

Visit a method calculating the class's Chidamber-Kemerer metrics. A helper class for ClassVisitor.

Version:
  $Revision: 1.8 $
Author:
  Diomidis Spinellis
See Also:
  `ClassVisitor`

Constructor Summary
`MethodVisitor(org.apache.bcel.generic.MethodGen m, ClassVisitor c)` Constructor.

Method Summary
`void` | `start()` Start the method's visit.
`void` | `visitArrayInstruction(org.apache.bcel.generic.ArrayInstruction i)` Array use.
`void` | `visitCHECKCAST(org.apache.bcel.generic.CHECKCAST i)` Visit checklast instruction.
`void` | `visitFieldInstruction(org.apache.bcel.generic.FieldInstruction i)` Field access.
`void` | `visitINSTANCEOF(org.apache.bcel.generic.INSTANCEOF i)` Visit an instanceof instruction.
`void` | `visitInvokeInstruction(org.apache.bcel.generic.InvokeInstruction i)` Method invocation.
`void` | `visitLocalVariableInstruction(org.apache.bcel.generic.LocalVariableInstruction i)` Local variable use.
`void` | `visitReturnInstruction(org.apache.bcel.generic.ReturnInstruction i)` Visit return instruction.

Methods inherited from class org.apache.bcel.generic.EmptyVisitor
`visitAALOAD, visitAASTORE, visitACONST_NULL, visitAllocationInstruction, visitALOAD, visitANEWARRAY, visitARETURN, visitArithmeticInstruction, visitARRAYLENGTH, visitASTORE, visitATHROW, visitBALOAD, visitBASTORE, visitBIPUSH, visitBranchInstruction, visitBREAKPOINT, visitCALOAD, visitCASTORE, visitConstantPushInstruction, visitConversionInstruction, visitCPInstruction, visitD2F, visitD2I, visitD2L, visitDADD, visitDALOAD, visitDASTORE, visitDCMPG, visitDCMPL, visitDCONST, visitDDIV, visitDLOAD, visitDMUL, visitDNEG, visitDREM, visitDRETURN, visitDSTORE, visitDSUB, visitDUP_X1, visitDUP_X2, visitDUP, visitDUP2_X1, visitDUP2_X2, visitDUP2, visitExceptionThrower, visitF2D, visitF2I, visitF2L, visitFADD, visitFALOAD, visitFASTORE, visitFCMPG, visitFCMPL, visitFCONST, visitFDIV, visitFieldOrMethod, visitFLOAD, visitFMUL, visitFNEG, visitFREM, visitFRETURN, visitFSTORE, visitFSUB, visitGETFIELD, visitGETSTATIC, visitGOTO_W, visitGOTO, visitGotoInstruction, visitI2B, visitI2C, visitI2D, visitI2F, visitI2L, visitI2S, visitIADD, visitIALOAD, visitIAND, visitIASTORE, visitICONST, visitIDIV, visitIF_ACMPEQ, visitIF_ACMPNE, visitIF_ICMPEQ, visitIF_ICMPGE, visitIF_ICMPGT, visitIF_ICMPLE, visitIF_ICMPLT, visitIF_ICMPNE, visitIFEQ, visitIFGE, visitIFGT, visitIfInstruction, visitIFLE, visitIFLT, visitIFNE, visitIFNONNULL, visitIFNULL, visitIINC, visitILOAD, visitIMPDEP1, visitIMPDEP2, visitIMUL, visitINEG, visitINVOKEINTERFACE, visitINVOKESPECIAL, visitINVOKESTATIC, visitINVOKEVIRTUAL, visitIOR, visitIREM, visitIRETURN, visitISHL, visitISHR, visitISTORE, visitISUB, visitIUSHR, visitIXOR, visitJSR_W, visitJSR, visitJsrInstruction, visitL2D, visitL2F, visitL2I, visitLADD, visitLALOAD, visitLAND, visitLASTORE, visitLCMP, visitLCONST, visitLDC, visitLDC2_W, visitLDIV, visitLLOAD, visitLMUL, visitLNEG, visitLoadClass, visitLoadInstruction, visitLOOKUPSWITCH, visitLOR, visitLREM, visitLRETURN, visitLSHL, visitLSHR, visitLSTORE, visitLSUB, visitLUSHR, visitLXOR, visitMONITORENTER, visitMONITOREXIT, visitMULTIANEWARRAY, visitNEW, visitNEWARRAY, visitNOP, visitPOP, visitPOP2, visitPopInstruction, visitPushInstruction, visitPUTFIELD, visitPUTSTATIC, visitRET, visitRETURN, visitSALOAD, visitSASTORE, visitSelect, visitSIPUSH, visitStackConsumer, visitStackInstruction, visitStackProducer, visitStoreInstruction, visitSWAP, visitTABLESWITCH, visitTypedInstruction, visitUnconditionalBranch, visitVariableLengthInstruction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodVisitor

    MethodVisitor(org.apache.bcel.generic.MethodGen m,
                  ClassVisitor c)

  Constructor.

Method Detail

### start

    public void start()

  Start the method's visit.

### visitLocalVariableInstruction

    public void visitLocalVariableInstruction(org.apache.bcel.generic.LocalVariableInstruction i)

  Local variable use.

  Specified by:
    `visitLocalVariableInstruction` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitLocalVariableInstruction` in class `org.apache.bcel.generic.EmptyVisitor`

### visitArrayInstruction

    public void visitArrayInstruction(org.apache.bcel.generic.ArrayInstruction i)

  Array use.

  Specified by:
    `visitArrayInstruction` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitArrayInstruction` in class `org.apache.bcel.generic.EmptyVisitor`

### visitFieldInstruction

    public void visitFieldInstruction(org.apache.bcel.generic.FieldInstruction i)

  Field access.

  Specified by:
    `visitFieldInstruction` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitFieldInstruction` in class `org.apache.bcel.generic.EmptyVisitor`

### visitInvokeInstruction

    public void visitInvokeInstruction(org.apache.bcel.generic.InvokeInstruction i)

  Method invocation.

  Specified by:
    `visitInvokeInstruction` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitInvokeInstruction` in class `org.apache.bcel.generic.EmptyVisitor`

### visitINSTANCEOF

    public void visitINSTANCEOF(org.apache.bcel.generic.INSTANCEOF i)

  Visit an instanceof instruction.

  Specified by:
    `visitINSTANCEOF` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitINSTANCEOF` in class `org.apache.bcel.generic.EmptyVisitor`

### visitCHECKCAST

    public void visitCHECKCAST(org.apache.bcel.generic.CHECKCAST i)

  Visit checklast instruction.

  Specified by:
    `visitCHECKCAST` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitCHECKCAST` in class `org.apache.bcel.generic.EmptyVisitor`

### visitReturnInstruction

    public void visitReturnInstruction(org.apache.bcel.generic.ReturnInstruction i)

  Visit return instruction.

  Specified by:
    `visitReturnInstruction` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitReturnInstruction` in class `org.apache.bcel.generic.EmptyVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD